#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int V,d,k,b=0;
    scanf("%d",&V);
    k=0;
    while(V!=0)
    {
        while(pow(10,k+1)<=V)
        {
            k++;
        }
            if(5*pow(10,k)<=V)
                V-=5*pow(10,k);
            else
                if(2*pow(10,k)<=V)
                V-=2*pow(10,k);
            else
                V-=pow(10,k);
        printf("%d %d\n",V,k);
        b++;
        k=0;
    }
    printf("%d",b);
}